package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * No Auth Portal Setting.
 */
@ApiModel(description = "No Auth Portal Setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class NoAuthSetting   {
  @JsonProperty("dailyLimitEnable")
  private Boolean dailyLimitEnable;

  public NoAuthSetting dailyLimitEnable(Boolean dailyLimitEnable) {
    this.dailyLimitEnable = dailyLimitEnable;
    return this;
  }

  /**
   * If enabled, authentication can only be performed once a day.
   * @return dailyLimitEnable
  */
  @ApiModelProperty(required = true, value = "If enabled, authentication can only be performed once a day.")
  @NotNull


  public Boolean getDailyLimitEnable() {
    return dailyLimitEnable;
  }

  public void setDailyLimitEnable(Boolean dailyLimitEnable) {
    this.dailyLimitEnable = dailyLimitEnable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    NoAuthSetting noAuthSetting = (NoAuthSetting) o;
    return Objects.equals(this.dailyLimitEnable, noAuthSetting.dailyLimitEnable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dailyLimitEnable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NoAuthSetting {\n");
    
    sb.append("    dailyLimitEnable: ").append(toIndentedString(dailyLimitEnable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

